Valstorm LogoDev

email-services Endpoints

All endpoints for the email-services API group. Great for feeding into an LLM context.

POST

/v1/email-services/strip-html

Strip Html

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/StripHtmlRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{
  "$ref": "#/components/schemas/StripHtmlResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/email-services/preview-template

Preview Template

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/PreviewTemplateRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{
  "$ref": "#/components/schemas/PreviewTemplateResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/email-services/validate-email

Validate Email

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/EmailValidationRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{
  "$ref": "#/components/schemas/EmailValidationResponse"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/email-services/sendgrid/send

Send Email

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/SendGridEmailRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Send Email V1 Email Services Sendgrid Send Post"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/email-services/sendgrid/messages/search

Search Messages

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/EmailLogSearchRequest"
          },
          {
            "type": "null"
          }
        ],
        "title": "Search Params"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{
  "additionalProperties": true,
  "type": "object",
  "title": "Response Search Messages V1 Email Services Sendgrid Messages Search Post"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/email-services/sendgrid/messages/{message_id}

Get Message Details

Parameters
message_id*
in: path
type: string
Responses
200
Successful Response
application/json
{
  "type": "object",
  "additionalProperties": true,
  "title": "Response Get Message Details V1 Email Services Sendgrid Messages  Message Id  Post"
}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/email-services/sendgrid/webhook/{organization_id}

Sendgrid Webhook

Webhook received and being processed


Parameters
organization_id*
in: path
type: string
Responses
202
Successful Response
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner